#ifndef __BOOST_DEF_H_
#define __BOOST_DEF_H_

#define BOOST_TRANSFER_INVALID 0
#define BOOST_TRANSFER_UPLOAD 1
#define BOOST_TRANSFER_DOWNLOAD 2

#define BOOST_ELEMENT_INVALID 0
#define BOOST_ELEMENT_DIR 1
#define BOOST_ELEMENT_FILE 2

typedef struct _boost_dir {
  char dir[MAX_PATH];
} boost_dir;

typedef struct _boost_file {
  char file[42]; //38.3
  unsigned long file_size;
} boost_file;

typedef struct _boost_element {
  int type;
  void *ptr;
} boost_element;

#endif //!__BOOST_DEF_H_
